package kr.co.vividnext.sodalive.tracking

import android.os.Bundle
import com.google.firebase.analytics.FirebaseAnalytics
import com.google.firebase.analytics.ktx.analytics
import com.google.firebase.ktx.Firebase
import kr.co.vividnext.sodalive.common.SharedPreferenceManager

object FirebaseTracking {
    fun signUp(method: String) {
        val firebaseAnalytics = Firebase.analytics
        val params = Bundle().apply {
            putString(FirebaseAnalytics.Param.METHOD, method)
            putString("marketing_pid", SharedPreferenceManager.marketingPid)
        }
        firebaseAnalytics.logEvent(FirebaseAnalytics.Event.SIGN_UP, params)
    }

    fun login(method: String) {
        val firebaseAnalytics = Firebase.analytics
        val params = Bundle().apply {
            putString(FirebaseAnalytics.Param.METHOD, method)
            putString("marketing_pid", SharedPreferenceManager.marketingPid)
        }
        firebaseAnalytics.logEvent(FirebaseAnalytics.Event.LOGIN, params)
    }

    fun logUtm() {
        val firebaseAnalytics = Firebase.analytics
        val params = Bundle().apply {
            putString(FirebaseAnalytics.Param.SOURCE, SharedPreferenceManager.marketingUtmSource)
            putString(FirebaseAnalytics.Param.MEDIUM, SharedPreferenceManager.marketingUtmMedium)
            putString(FirebaseAnalytics.Param.CAMPAIGN, SharedPreferenceManager.marketingUtmCampaign)
        }

        firebaseAnalytics.logEvent("ad_partner_campaign_details", params)
    }
}
